"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const get_branch_name_1 = require("./get-branch-name");
async function loadFile(filepath, context) {
    const content = await context.github.repos.getContents(context.repo({ path: filepath, ref: get_branch_name_1.getBranchName(context) }));
    return [
        Buffer.from(content.data.content, 'base64').toString(),
        content.data.sha
    ];
}
exports.loadFile = loadFile;
