"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const get_branch_name_1 = require("./get-branch-name");
async function updateFile(filename, text, sha, context) {
    await context.github.repos.updateFile(context.repo({
        branch: get_branch_name_1.getBranchName(context),
        content: Buffer.from(text).toString('base64'),
        message: `Prettify ${filename}`,
        path: filename,
        sha
    }));
}
exports.updateFile = updateFile;
