"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const get_branch_name_1 = require("./get-branch-name");
const get_repo_name_1 = require("./get-repo-name");
const get_sha_1 = require("./get-sha");
function getRepoBranchSha(context) {
    return (get_repo_name_1.getRepoName(context) +
        '|' +
        get_branch_name_1.getBranchName(context) +
        '|' +
        get_sha_1.getSha(context).substring(0, 7));
}
exports.getRepoBranchSha = getRepoBranchSha;
