"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
async function iterateCurrentCommitFiles(context, processor) {
    const changes = await context.github.repos.compareCommits(context.repo({
        base: context.payload.before,
        head: context.payload.after
    }));
    return Promise.all(changes.data.files.map(processor));
}
exports.iterateCurrentCommitFiles = iterateCurrentCommitFiles;
